function LST

%     spm_LST.m - part of the LST toolbox
%     Copyright (C) 2012  Paul Schmidt
% 
%     This program is free software: you can redistribute it and/or modify
%     it under the terms of the GNU General Public License as published by
%     the Free Software Foundation, either version 3 of the License, or
%     (at your option) any later version.
% 
%     This program is distributed in the hope that it will be useful,
%     but WITHOUT ANY WARRANTY; without even the implied warranty of
%     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%     GNU General Public License for more details.
% 
%     You should have received a copy of the GNU General Public License
%     along with this program.  If not, see <http://www.gnu.org/licenses/>.

addpath(fullfile(spm('dir'),'toolbox','LST'));

%% Banner für Versionsnummer usw. mit Datum und Uhrzeit
SPMid = spm('FnBanner',mfilename,'1.2.3');
%% eroeffne zwei Fenster: einmal das Hilfefenster und einmal das Menufenster
[Finter,Fgraph,CmdLine] = spm('FnUIsetup','LST');

%% Fuelle das Hilfefenster mit dem Inhalt, der in der Datei LST.man steht
spm_help('!ContextHelp',mfilename);
spm_help('!Disp','LST.man','',Fgraph,'LST ... ');

%% Nun das Menufenster anlegen und mit Inhalt füllen
fig = spm_figure('GetWin','Interactive');
h0  = uimenu(fig,...
	'Label',	'Lesion segmentation tool',...
	'Separator',	'on',...
	'Tag',		'LST',...
	'HandleVisibility','on');
h1  = uimenu(h0,...
	'Label',	'Lesion segmentation by lesion growing',...
	'Separator',	'off',...
	'Tag',		'Lesion segmentation by lesion growing',...
	'HandleVisibility','on');
h11  = uimenu(h1,...
	'Label',	'PVE-label estimation and lesion segmentation',...
	'Separator',	'off',...
	'Tag',		'pve lesion growing',...
	'CallBack','spm_jobman(''interactive'','''',''spm.tools.LST.lesiongrow'');',...
	'HandleVisibility','on');
h12  = uimenu(h1,...
	'Label',	'Determination of the optimal initial threshold',...
	'Separator',	'off',...
	'Tag',		'lesion growing',...
	'CallBack','spm_jobman(''interactive'','''',''spm.tools.LST.doit'');',...
	'HandleVisibility','on');
h13  = uimenu(h1,...
	'Label',	'Lesion segmentation (PVE-labels already available)',...
	'Separator',	'off',...
	'Tag',		'lesion growing',...
	'CallBack','spm_jobman(''interactive'','''',''spm.tools.LST.segment'');',...
	'HandleVisibility','on');
h2  = uimenu(h0,...
	'Label',	'Utilities',...
	'Separator',	'off',...
	'Tag',		'Utilities',...
	'HandleVisibility','on');
h21  = uimenu(h2,...
	'Label',	'Lesion filling',...
	'Separator',	'off',...
	'Tag',		'lesion filling',...
	'CallBack','spm_jobman(''interactive'','''',''spm.tools.LST.lesfill'');',...
	'HandleVisibility','on');
h22  = uimenu(h2,...
	'Label',	'Create binary lesion map',...
	'Separator',	'off',...
	'Tag',		'lesion thresholding',...
	'CallBack','spm_jobman(''interactive'','''',''spm.tools.LST.lesthresh'');',...
	'HandleVisibility','on');
h23  = uimenu(h2,...
	'Label',	'Compute total lesion volume',...
	'Separator',	'off',...
	'Tag',		'Total lesion volume',...
	'CallBack','spm_jobman(''interactive'','''',''spm.tools.LST.lesvolume'');',...
	'HandleVisibility','on');
